<?php 
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$productCollection = $objectManager->create('Magento\Catalog\Model\ResourceModel\Product\Collection');
$collection = $productCollection->addAttributeToSelect('*')->addFieldToFilter('free_gift',1)->load();
$cart = $objectManager->get('\Magento\Checkout\Model\Cart'); 
$items = $cart->getQuote()->getAllItems();
$grandTotal = $cart->getQuote()->getGrandTotal();
$subtotal = $cart->getQuote()->getSubtotal();
$csku=array();
foreach ($items as $item) {
    $csku[] =$item->getSku();
}
?>
<?php 
// foreach ($collection as $prod) { 
//     $sku =$prod->getSku();
//     $productObject = $objectManager->get('Magento\Catalog\Model\Product');
//     $product = $productObject->loadByAttribute('sku', $sku);
//     $helperImport  = $objectManager->get('\Magento\Catalog\Helper\Image');
//     $imageUrl      = $helperImport->init($product, 'product_page_image_small')->setImageFile($product->getSmallImage())->resize(150)->getUrl();
// }
 ?>
 <script type="text/javascript">
     require(['jquery'], function (jQuery) {
            jQuery(window).load(function() {


               jQuery( ".complimetry" ).click(function(event) {
                if(jQuery('.selected').length > 0)
                {
                    event.preventDefault();
                }
                
                pid="";
                 var url ='http://3.6.29.213/deliveryarea/index/save';
                 jQuery.ajax({
                     url: url,
                    type: 'POST',
                    data: {
                      pid: pid,
                  },
                  success: function(response) { 
                            
                            if (response!="") {
                                alert(response);
                                
                            }else{
                                jQuery(this).unbind(event);
                                //this.submit();
                                jQuery(this).click();
                            }
                        }
                    });
  
});

            });
        });
 </script>

  <div class="lodeer" id="c-loder" style="display: none;">
    <div class="c-loader3">
      <span></span>
      <span></span>
   </div>
 </div>
   <div class="offered_item" style="display:none;" id="offered_item">
                <div class="col-md-12 pad">
                <div class="alert alert-success-main">
                    <strong>SELECT YOUR FREE SALAD/JUICE</strong>
                </div>
                    <div class="special-offer-block">
                        <div class="row customrow first1 <?php if($subtotal<'100'){ echo "your_offer1";} ?>">
                        <?php
                        foreach ($collection as $prod) { 
                            $sku =$prod->getSku();
    $productObject = $objectManager->get('Magento\Catalog\Model\Product');
    $product = $productObject->loadByAttribute('sku', $sku);
    $helperImport  = $objectManager->get('\Magento\Catalog\Helper\Image');
    $imageUrl      = $helperImport->init($product, 'product_page_image_small')->setImageFile($product->getSmallImage())->resize(150)->getUrl();
                            if ($product->getMaxCartForFree()=='100') {
                                ?>
                    
                        <div class="col-md-3 pad show-tab">
                             <div class="itemsss <?php if (in_array($prod->getSku(), $csku)) { echo"selected";} ?>">
                                <label for="sp_1">
                                    <?php echo $product->getName(); ?>
                                </label>
                            <!-- <div class="radio radio-success">
                                <input value="580" checked="True" data-val="true" data-val-number="The field _Special must be a number." data-val-required="The _Special field is required." id="sp_1" name="_Special" type="radio">
                                
                            </div> -->
                            <img  src="<?php echo $imageUrl; ?>" alt="" />
                           <?php //if($subtotal>'100'){ ?>
                             <?php $objectManager=\ Magento\Framework\App\ObjectManager::getInstance(); $listBlock= $objectManager->get('\Magento\Catalog\Block\Product\ListProduct'); $addToCartUrl = $listBlock->getAddToCartUrl($product); ?>
                          <form data-role="tocart-form" action="<?php echo $addToCartUrl; ?>" method="post">
                            <?php echo $block->getBlockHtml('formkey')?>
                            <button  type="submit" title="Add to Cart" class="complimetry action tocart primary hundreduper"> <span><i class="mbi mbi-cart" ></i></span>
                            </button>
                        </form>
                         <?php //} ?>
                         <div class="load-complete">
                             <div class="checkmark draw" style="display: block;"></div>
                         </div>
                        </div>
                        </div>
                    <?php } } ?>
                    </div>
                     <div class="row customrow first2 <?php if($subtotal<'150'){ echo "your_offer2";} ?>">
                        <?php 
                        foreach ($collection as $prod) { 
                            $sku =$prod->getSku();
    $productObject = $objectManager->get('Magento\Catalog\Model\Product');
    $product = $productObject->loadByAttribute('sku', $sku);
    $helperImport  = $objectManager->get('\Magento\Catalog\Helper\Image');
    $imageUrl      = $helperImport->init($product, 'product_page_image_small')->setImageFile($product->getSmallImage())->resize(150)->getUrl();
                            if ($product->getMaxCartForFree()=='150') {
                                //echo "string.".$product->getMaxCartForFree();
                                ?>
                                <div class="col-md-3 pad show-tab">
                             <div class="itemsss <?php if (in_array($prod->getSku(), $csku)) { echo"selected";} ?>">
                            <label for="sp_1">
                                    <?php echo $product->getName(); ?>
                                </label>
                            <!-- <div class="radio radio-success">
                                <input value="580" checked="True" data-val="true" data-val-number="The field _Special must be a number." data-val-required="The _Special field is required." id="sp_1" name="_Special" type="radio">
                                
                            </div> -->
                            <img  src="<?php echo $imageUrl; ?>" alt="" />
                            <?php //if($subtotal>'150'){ ?>
                             <?php $objectManager=\ Magento\Framework\App\ObjectManager::getInstance();$listBlock= $objectManager->get('\Magento\Catalog\Block\Product\ListProduct'); 
                             $addToCartUrl = $listBlock->getAddToCartUrl($product); ?>
                          <form data-role="tocart-form" action="<?php echo $addToCartUrl; ?>" method="post">
                            <?php echo $block->getBlockHtml('formkey')?>
                            <button type="submit" title="Add to Cart" class="complimetry action tocart primary fiftyuper"> <span><i class="mbi mbi-cart" ></i></span>
                            </button>
                        </form>
                         <?php// } ?>
                          <div class="load-complete">
                             <div class="checkmark draw" style="display: block;"></div>
                         </div>
                        </div>
                        </div>
                    <?php } }?>
                    </div>
                    <div class="<?php if($subtotal<'100'){ echo "alert";} ?> alert-success" style="display: <?php if($subtotal>'150'){ echo "none";} ?>">
                            <strong>Unlock Free Fresh Barakat Juice on Orders above 100 AED</strong><br><strong>Unlock Free Barakat Salads &amp; Juices on Orders above 150 AED</strong>
                        </div>
                    </div>
                </div>
            </div>


 <style type="text/css">
  @media only screen and (max-width: 768px) {
.col-md-3.pad.show-tab {
    width: 50% !important;
    text-align: center;
    margin: 5px 0px;
    font-size: 12px;
}
.opc-estimated-wrapper {
    display: none;
}
.col-md-3.pad.show-tab .itemsss label {
    display: block;
}
}
    </style>
